Overview

Replay displays moving graphs of data that you previously collected with Windmill Logger. It also shows the data in a table. Double-clicking a point on the graph highlights that data item in the table, and vice versa.

Replay works with Logger data files containing tab-separated values. The files can contain up to 16000 lines of data.

The first things you need to do in Replay are

  1. Open a Logger data file
  2. Select which channels to display


Opening a Logger File

The Open Logger File dialogue appears when you start Replay, and when you select Open from the File menu.

When you choose a file Replay checks that it is a suitable Logger file. This may take a few moments. The Select Channels dialogue then appears.

The Open dialogue always starts in Windmill's working directory (set in the Windmill ConfIML program). You can change the directory through Windows.

  1. Click the Replay icon with the right mouse button.
  2. Choose Properties.
  3. Choose the Shortcut tab.
  4. Change the Start in directory.


Selecting Channels, Colours and Number of Decimal Places

Replay can display data from up to 8 channels. To choose which channels use the Select Channels dialogue. This automatically appears after you open a Logger file, or when you choose the Channels menu.

Here you can select:

  • which channels to display
  • the colour of each channel's line on the graph
  • the type of channel, and how many decimal places should be shown

Selecting Channels

The first 8 channels in the file are shown. You can select a different channel, or "(None)", from each drop down list. To quickly select None for each line choose the Clear All button. To re-display the first 8 channels choose the Defaults button.

Selecting Line Colours

Select a colour from the line colour drop down list. You've 6 colours to choose from.

Selecting the Channel Type and Resolution

Replay determines the type of channel you've selected: analogue or digital. For analogue channels you can select the number of decimal places to display: 0, 1, 2, 3 or 4 d.p. Note that the data will not necessarily be accurate to this number of decimal places, as the accuracy depends on the hardware.

Make your selections and press OK. Replay reads the data from the selected channels, which may take a few moments. The main Replay screen then appears.

When you open another file with the same channels, Replay will start with your previous selections.


Main Replay Screen

The Replay Screen

Click over an area of this picture for help with the Replay screen.

Changing the Split Between Graph and Table

You can choose how much space to give the graph and how much the table. Position the cursor over the line dividing the them. Press and hold down the left mouse button and drag the dividing line to its new position.

File Menu

Lets you open a new Logger file, print the display and close Replay.

View Menu

Sets whether you want to see the toolbar and status bar, and lets you zoom in and out of the graph.

Channels Menu

Lets you choose which channels of data to display, the colour of their lines and the number of decimal places to be shown.

Replay Menu

Lets you replay data forwards and backwards.

Zoom Out X Axis Button

Shows data collected over a longer time period, but retains the same y axis limits. (You have to be zoomed-in for this to work.)

Zoom Out Y Axis Button

Shows a wider range of data but leaves the time axis as it is. (You have to be zoomed-in for this to work.)

Zoom Out Both Button

Extends both the x and y axes. (You have to be zoomed-in for this to work.)

View All Of The Graph Button

Zooms-out to show all of the data. (You have to be zoomed-in for this to work.)

Go to Start Button

Jumps to first data scan.

Fast Reverse Button

Replays data from left to right, quickly.

Reverse Button

Replays data from left to right, slowly.

Stop Button

Stops the replay.

Forward Button

Replays data from right to left, slowly.

Fast Forward Button

Replays data from right to left, quickly.

Go to End Button

Jumps to last data scan.

Graph Area

There is one x axis which is the time axis. There may be more than one y axis, depending on the type of channels and their units. All digital channels are graphed against one y axis, which is divided according to the number of channels. Analogue channels are graphed against other y axes, depending on their units. The range is from the lowest to the highest value in the file.

At first all data is shown. With large data files, trends may not be easily discernible until you zoom into areas of interest.

Changing the Split Between Graph and Table

Position the cursor over the line dividing the graph and table and drag the dividing line to its new position.

Table Area

Shows numeric values for each channel, arranged as a list of scans. (A scan is one pass of all channels. It includes the time stamp and 1 reading from each channel.)

Status Bar

Shows the date of creation of the data file. It also shows the function of any currently selected button or menu item.


Finding the Exact Value of a Point on the Graph

Double-click a point on the graph and the table jumps to the relevant row, where you can see the exact data values. A cursor appears on the graph in the form of a vertical line. The points on this line correspond to the now highlighted values in the table. Once you've displayed the cursor you can drag it to a new position. (Hold down the left mouse button as you drag, release the button when the cursor is where you want it.) If you double-click, or drag to, a position with no data, the cursor will jump to the nearest data point.

Similarly you can double-click a row of the table and a cursor will show the corresponding points on the graph.


Zooming into an Area of the Graph

Hold down the right mouse button and drag a rectangle to enlarge. Release the button and the selected rectangle will fill the graph area. Depending on your selection area, analogue channels may be temporarily lost or cropped from the y axis. Every digital channel, however, will always be shown. You can zoom-in until only a few points are shown.


Zooming out to show more Data

Each zoom-out will approximately double the amount of data shown in the specified direction. Click over the graph area before trying to zoom out. Use the View menu items or the Zoom buttons.

You can:

  • zoom-out in the x direction
  • zoom-out in the y direction
  • zoom out in both x and y directions
  • show all values

Zoom Out X Axis Button

Shows data collected over a longer time period, but retains the same y axis limits.

Zoom Out Y Axis Button

Shows a wider range of data but leaves the time axis as it is.

Zoom Out Both Button

Extends both the x and y axes.

View All Of The Graph Button

Zooms-out to show all of the data.

You have to be zoomed-in for these buttons to work.


Replaying Moving Data

Zoom into the graph until it looks a reasonable resolution, then use the Replay menu items or buttons.

Go to Start

Jumps to the first data scan.
(A scan is one pass of all channels. It includes the time stamp and one reading from each channel.)

Go to End

Jumps to the last data scan.

Forward

Replays data from right to left, slowly.

Reverse

Replays data from left to right, slowly.

Fast Forward

Replays data from right to left, quickly. (On some monitors, and at some resolutions, you won't see any difference between forward and fast forward.)

Fast Reverse

Replays data from left to right, quickly.

Stop

Stops the replay.


Printing the Graph

Click on the graph and select Print from the File menu. The usual Windows Print dialogue appears. The graph will fill the chosen paper size, so you may want to select Landscape orientation for the paper. The part of the graph currently displayed will be printed.


Removing the Status Bar

The status bar shows the function of buttons and menu items. You can remove the status bar, giving more room to the table or graph. Select Status bar from the View menu, removing the tick.


Removing the Tool Bar

The tool bar shows the control buttons. You can remove the tool bar, giving more room to the table or graph. Select Toolbar from the View menu, removing the tick.


Replaying Appended Files

An appended file occurs when, in Windmill Logger, you re-start logging to an existing data file. Replay will only read that part of an appended file that relates to the first "header" it encounters. You can replay subsequent parts of the file by manually cutting and pasting each appended section to a new file, using a word processor that supports text (ASCII) format. Always make a backup before editing in case of mistakes, and don't edit the file whilst Replay is using it.


Closing Replay

Select Exit from the File menu. Replay will close.


Command Summary

File menu

Open
Print
Print Preview
Print Setup
Exit

View menu

Toolbar
Status Bar
Zoom Out X-Axis
Zoom Out Y-Axis
Zoom Out Both
View All of Graph

Channels menu

Replay menu

Go to Start
Go to End
Forward
Reverse
Fast Forward
Fast Reverse
Stop


File Menu

Open

Loads a Windmill Logger file into Replay.

Related topics:

Opening a Logger file

Print

Prints the graph.

Related topics:

Printing the graph

Print Preview

Shows how the print-out of the graph will look.

Related topics:

Previewing the print-out

Print Setup

Selects the printer and paper.

Related topics:

Choosing the printer settings

Exit

Closes Replay

Related topics:

Closing Replay


View Menu

Toolbar

Turns the Tool bar on and off.

Related topics:

Removing the tool bar

Status Bar

Turns the status bar on and off.

Related topics:

Removing the status bar

Zoom Out X-Axis

In the graph, shows data collected over a longer period.

Related topics:

Zooming out in the x direction

Zoom Out Y-Axis

In the graph, shows a wider range of data.

Related topics:

Zooming out in the y direction

Zoom Out Both

In the graph, extends the x and y axes

Related topics:

Zooming out in the x and y directions

View All of Graph

In the graph, shows all of the data

Related topics:

Viewing all the data


Channels Menu

Lets you choose which channels to display, the colours of their lines and the number of decimal places to be shown.

Related topics:

Selecting channels


Replay Menu

Go to Start

Jumps to the first scan in the graph. A scan is one pass of all channels. It includes the time stamp and one reading from each channel.

Go to End

Jumps to the last scan in the graph.

Forward

Replays data from right to left, slowly.

Reverse

Replays data from left to right, slowly.

Fast Forward

Replays data from right to left, quickly.

Fast Reverse

Replays data from left to right, quickly.

Stop

Stops the replay.

Related topics:

Replaying moving data


World Wide Web

Web Site

You can find more information about Windmill Software on the World Wide Web at http://www.windmill.co.uk/.

Every month we publish a free newsletter - Monitor ((ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


Streamer

Streamer is waveform capture, charting and review software for Windows. It lets you log data (temperature, strain, current, etc) at up to 100 kHz. You can set the speed of sampling from Streamer or from an external clock, and start scans from Streamer or from an external trigger.

Streamer works with Microlink high speed data acquisition hardware.

For more information on Streamer, or to download a free software demo, visit Windmill Software's web site at http://www.windmill.co.uk/.


Your Comments on the Help

Tell us any improvements we could make to our Help files. Could you quickly find what you wanted? Was the explanation clear? Have you any questions? Visit http://www.windmill.co.uk/help.html and fill in the comments form at the bottom of the page.


Windmill

Windmill is a suite of data acquisition and control software. It comprises:

Drivers - which handle the low-level communications

ConfIML - which creates a file holding details on which hardware devices are in your system

SetupIML - which creates files telling the other applications how you want the hardware configured

Applications - such as Logger and Chart which perform the data acquisition and control tasks


Windmill

Contacting Windmill

Windmill Software,
PO Box 58,
North District Office,
Manchester,
M8 8QR,
UK
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/


Viewing all the Data

Select either View All of Graph from the View menu, or the Show All button. All the data will be shown.


Replay Help contents

Windmill Replay Help Contents

Getting Started

Overview

Procedures

Opening a Logger file

Selecting channels, colours and number of decimal places

The Replay screen

Finding the exact value of a point on the graph

Zooming into an area of the graph

Zooming out to show more data

Replaying moving data

Printing the graph

Removing the status bar

Removing the tool bar

Replaying appended files

Closing Replay

Commands

Command Summary

File menu

View menu

Channels menu

Replay menu


Choosing the Printer Settings

Select Print Setup from the File menu. The usual Windows Print Setup dialogue box appears for you to choose the printer and paper settings.


Zooming out in the x Direction

Select either Zoom Out X-Axis from the View menu, or the Zoom Out X button. This shows data collected over a longer time period, but retains the same y axis limits.


Zooming out in the y Direction

Select either Zoom Out Y-Axis from the View menu, or the Zoom Out Y button. This shows a wider range of data but leaves the time axis as it is.


Displaying the Table of Data

When you resize Replay you may lose the table of data. Position the cursor on the line immediately below the graph's scroll bar. Drag the line up to reveal the table.


Previewing the Print-Out

Select Print Preview from the File menu. A Windows Print Preview dialogue box appears, showing the currently displayed graph. The dialogue lets you see two pages at once, but one page will always be blank. You can print directly from here: press the Print button.


Suitable Logger Files

Replay can read Logger files with tab separated values. These have the time units, channel names and channel units at the top of the file. The file can contain up to 16 000 lines of data.

Replay cannot read:

  • Files where the data values are separated by commas or spaces.
  • Data files without the "header" information (time and channel names and units). Periodic data files, for example, have their header information in a separate file.
  • All of appended data files.
    Appended files are where Logger paused and then resumed logging. They contain a header followed by data for each collection. Replay will only read the first collection, ignoring subsequent headers and data.


Zooming out in the x and y Directions

Select either Zoom Out Both from the View menu, or the Zoom Out Both button. This extends both the x and y axes.